GenerateMavenPom (Gradle API 4.5.1)
Date: 2018-02-05

org.gradle.api.publish.maven.tasks

## Class GenerateMavenPom

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.publish.maven.tasks.GenerateMavenPom

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateMavenPom
      extends DefaultTask

  Generates a Maven module descriptor (POM) file.
  Since:
    1.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateMavenPom()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doGenerate()`
    `File` | `getDestination()` The file the POM will be written to.
    `protected org.gradle.api.internal.file.FileResolver` | `getFileResolver()`
    `MavenPom` | `getPom()` The Maven POM.
    `protected org.gradle.api.publication.maven.internal.VersionRangeMapper` | `getVersionRangeMapper()`
    `void` | `setDestination(File destination)` Sets the destination the descriptor will be written to.
    `void` | `setDestination(Object destination)` Sets the destination the descriptor will be written to.
    `void` | `setPom(MavenPom pom)`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateMavenPom

          public GenerateMavenPom()

  - ### Method Detail

    - #### getFileResolver

          @Inject
          protected org.gradle.api.internal.file.FileResolver getFileResolver()

    - #### getVersionRangeMapper

          @Inject
          protected org.gradle.api.publication.maven.internal.VersionRangeMapper getVersionRangeMapper()

    - #### getPom

          @Internal
          public MavenPom getPom()

      The Maven POM.
      Returns:
        The Maven POM.

    - #### setPom

          public void setPom(MavenPom pom)

    - #### getDestination

          @OutputFile
          public File getDestination()

      The file the POM will be written to.
      Returns:
        The file the POM will be written to

    - #### setDestination

          public void setDestination(File destination)

      Sets the destination the descriptor will be written to.
      Parameters:
        `destination` - The file the descriptor will be written to.
      Since:
        4.0

    - #### setDestination

          public void setDestination(Object destination)

      Sets the destination the descriptor will be written to. The value is resolved with `Project.file(Object)`
      Parameters:
        `destination` - The file the descriptor will be written to.

    - #### doGenerate

          public void doGenerate()